package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.order.dto.OrderSkuBomDto;
import com.sd.business.entity.order.dto.OrderSkuBomSelectDto;
import com.sd.business.entity.order.vo.OrderSkuBomVo;
import com.sd.business.service.order.OrderSkuBomService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


/**
 * <p>
 * 订单sku bom 关联 前端控制器
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@RestController
@RequestMapping("/orderSkuBom")
public class OrderSkuBomController {

    @Autowired
    private OrderSkuBomService orderSkuBomService;

    /**
     * 订单sku bom 关联分页
     */
    @PostMapping("/page")
    public Page<OrderSkuBomVo> page(@RequestBody OrderSkuBomSelectDto dto) {
        return orderSkuBomService.getPage(dto);
    }

    /**
     * 订单sku bom 关联明细
     */
    @PostMapping("/detail")
    public OrderSkuBomVo detail(@RequestBody BaseSelectDto dto) {
        return orderSkuBomService.detail(dto.getId());
    }

    /**
     * 订单sku bom 关联新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OrderSkuBomDto dto) {
        orderSkuBomService.add(dto);
    }

    /**
     * 订单sku bom 关联编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderSkuBomDto dto) {
        orderSkuBomService.edit(dto);
    }

    /**
     * 订单sku bom 关联删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderSkuBomService.delete(dto.getId());
    }

}
