package com.sd.business.service.order.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.order.dto.OrderSkuBomDto;
import com.sd.business.entity.order.dto.OrderSkuBomSelectDto;
import com.sd.business.entity.order.po.OrderSkuBom;
import com.sd.business.entity.order.vo.OrderSkuBomVo;
import com.sd.business.mapper.order.OrderSkuBomMapper;
import com.sd.business.service.order.OrderSkuBomService;
import com.sd.framework.util.Assert;
import com.sd.framework.util.sql.Sql;
import org.springframework.stereotype.Service;


/**
 * <p>
 * 订单sku bom 关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-12-11
 */
@Service
public class OrderSkuBomServiceImpl extends ServiceImpl<OrderSkuBomMapper, OrderSkuBom> implements OrderSkuBomService {

    @Override
    public Page<OrderSkuBomVo> getPage(OrderSkuBomSelectDto dto) {

        Page<OrderSkuBomVo> page = Sql.create(OrderSkuBomVo.class)
                .selectAll(OrderSkuBom.class)
                .from(OrderSkuBom.class)
                .orderByDesc(OrderSkuBom::getId)
                .page(dto);

        return page;
    }

    @Override
    public OrderSkuBomVo detail(Long id) {

        OrderSkuBomVo vo = Sql.create(OrderSkuBomVo.class)
                .selectAll(OrderSkuBom.class)
                .from(OrderSkuBom.class)
                .eq(OrderSkuBom::getId, id)
                .one();

        Assert.notNull(vo, "未知数据");

        return vo;
    }

    @Override
    public void add(OrderSkuBomDto dto) {
        save(dto);
    }

    @Override
    public void edit(OrderSkuBomDto dto) {
        updateById(dto);
    }

    @Override
    public void delete(Long id) {
        removeById(id);
    }

}
